Retorna informações do serviço web (versão, lista de códigos de erro, ...) (Autenticação)
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/info/serviceimport requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/info/service"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/api/v{version}/info/service', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Version": "1.0.0.0",
"ErrorCodes": [
{
"ID": 17149,
"Name": "ERR_TERMINAL_BEAM_UNKNOWN",
"Description": "Feixe do terminal desconhecido"
},
{
"ID": 17685,
"Name": "ERR_MESSAGE_CANNOT_BE_CANCELLED_BECAUSE_ALREADY_SENT",
"Description": "Mensagem não pode ser cancelada porque já foi enviada ao destino."
},
{
"ID": 21785,
"Name": "ERR_AUTHENTICATION_ERROR",
"Description": "Erro de autenticação do serviço Gateway."
}
]
}"Quando falha a autenticação e autorização""Quando o usuário ultrapassa o limite provisionado de requisições para o endpoint da API, será retornado o código HTTP 429 “Muitas Requisições”"Info
Busca informações e erros do serviço
Autenticação: Token Bearer
Limitação de taxa: sim (grupo INFO de métodos)
Autorização: Conta de usuário
GET
/
api
/
v
{version}
/
info
/
service
Retorna informações do serviço web (versão, lista de códigos de erro, ...) (Autenticação)
Path Parameters
Query Parameters
Se 'true', o serviço web também retornará uma lista de códigos de erro disponíveis.
Response
Chamada realizada com sucesso. Verifique o ErrorID para possíveis erros
Resposta 'accountinfo/service' - inclui a versão da API e lista de códigos de erro.
Presente somente em caso de falha. O valor ErrorID serve como referência para entender a causa do erro.
Example:
0
Número da versão do serviço web (não confundir com a versão da API).
Example:
"5.1.8"
Hora atual do servidor OGWS.
Array de possíveis informações de erro da API. O campo será fornecido somente se ‘getErrorCodes’ estiver definido como true.

